Create a gist now

Instantly share code, notes, and snippets.

What would you like to do?
Building Ruby 1.9.3 p545 package for Debian Squeeze
#!/usr/bin/env bash
# From a fresh install of squeeze
apt-get install ruby rubygems # Need ruby to use fpm
gem1.8 install fpm --no-ri --no-rdoc
apt-get install build-essential openssl libreadline6 libreadline6-dev zlib1g zlib1g-dev libssl-dev ncurses-dev libyaml-dev
wget ftp://ftp.ruby-lang.org/pub/ruby/1.9/ruby-1.9.3-p545.tar.gz
tar -zxvf ruby-1.9.3-p545.tar.gz
cd ruby-1.9.3-p545
rm -rf /tmp/ruby193
time $(./configure --prefix=/usr && make && make install DESTDIR=/tmp/ruby193)
/var/lib/gems/1.8/bin/fpm -s dir -t deb -n ruby193 -v 1.9.3-p545 --description "Self-packaged Ruby 1.9.3 patch 545" -C /tmp/ruby193 \
-p ruby193-VERSION_ARCH.deb -d "libstdc++6 (>= 4.4.3)" \
-d "libc6 (>= 2.6)" -d "libffi5 (>= 3.0.4)" -d "libgdbm3 (>= 1.8.3)" \
-d "libncurses5 (>= 5.7)" -d "libreadline6 (>= 6.1)" \
-d "libssl0.9.8 (>= 0.9.8)" -d "zlib1g (>= 1:1.2.2)" \
-d "libyaml-0-2 (>= 0.1.3)" \
usr/bin usr/lib usr/share/man usr/include
# Post installation test
apt-get remove ruby rubygems
apt-get install libffi5 libyaml-0-2
pck=$($(which ls) | grep *.deb)
dpkg -i ${pck}
ruby -ropenssl -rzlib -rreadline -ryaml -e "puts :success"
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment